### Method

# Vte Terminal ref_termprop_image_surface

since: 0.80

#### Declaration [src]

    cairo_surface_t*
    vte_terminal_ref_termprop_image_surface (
      VteTerminal* terminal,
      const char* prop
    )

#### Description [src]

Returns the value of a `VTE_PROPERTY_IMAGE` termprop as a #cairo_surface_t, or `NULL` if `prop` is unset, or `prop` is not a registered property.

The surface will be a `CAIRO_SURFACE_TYPE_IMAGE` with format `CAIRO_FORMAT_ARGB32` or `CAIRO_FORMAT_RGB24`.

Note that the returned surface is owned by `terminal` and its contents must not be modified.

Available since: 0.80

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `cairo_surface_t`

The property’s value as a #cairo_surface_t, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.